Trying to connect to Oracle db through Electron


#1

Operating system: Windows 7
Hi I’m new to Electron and I’m trying to connect to Oracle database through the Electron app I’m building. I’m currently using oracledb (https://github.com/oracle/node-oracledb) but I’m also open to other options.
I’m getting many errors and I’m suspecting it’s a dependency bundling issue. What version of nodejs, npm, electron, electron prebuilt, electron-rebuild and oracledb I should be using?

Any help is appreciated.